node-apn库中奇怪的语法错误

我正在尝试与Nodejs实现推送通知服务器。 我下载了node-apn库并尝试启动示例代码。 当我运行示例代码文件时,出现“意外的语法标记”错误。 所以我查看了语法错误发生的代码行。

const Endpoint = require("./lib/protocol/endpoint")({ tls, protocol, }); 

这似乎是奇怪的语法,但其他人都使用node-apn库,除了我。 如果在下面只包含一行代码,我会得到语法错误。

要求( “APN”);

有没有人经历过这个? 还是有没有人成功实现了这个节点apn库? 任何援助将不胜感激。 提前致谢。

       

网上收集的解决方案 "node-apn库中奇怪的语法错误"